Bug 239895

Summary: IPC stream send is slow due to semaphore signal if receiver is faster than sender
Product: WebKit Reporter: Kimmo Kinnunen <kkinnunen>
Component: WebKit2Assignee: Kimmo Kinnunen <kkinnunen>
Status: RESOLVED FIXED    
Severity: Normal CC: kkinnunen, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 231352, 240006    
Attachments:
Description Flags
Patch none

Description Kimmo Kinnunen 2022-04-29 04:50:55 PDT
IPC stream send is slow due to semaphore signal if receiver is faster than sender
Comment 1 Kimmo Kinnunen 2022-04-29 04:55:41 PDT
Created attachment 458581 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2022-05-06 04:51:13 PDT
<rdar://problem/92853930>
Comment 3 Kimmo Kinnunen 2022-06-14 05:22:01 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1500
Comment 4 Kimmo Kinnunen 2022-06-20 04:34:51 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1637
Comment 5 EWS 2022-06-23 18:34:25 PDT
Committed 251815@main (05cb01bde6d0): <https://commits.webkit.org/251815@main>

Reviewed commits have been landed. Closing PR #1637 and removing active labels.